#
# spec file for package fpk (Version 1.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  l2h mysql-devel shlibs6 svgalib tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd l2h less libtool libz m4 make man mktemp modutils mysql-devel ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         fpk
Copyright:    1997-99 Michael Van Canneyt, 1993-98 Florian Klaempfl
Group:        Development/Languages
Provides:     docs 
Requires:     gcc
Autoreqprov:  on
Version:      1.0.4
Release:      108
Summary:      Free Pascal Compiler
Source:       fpc-1.0.4-src.tar.gz
Source1: fpk-1.0.4-0.i386.rpm
Source2: docs.tar.gz
Source3: demo.tar.gz
Patch1: manmakefile.dif
Patch2: libc_call.dif

%description
FPK is a 32-bit compiler for the i386 processor. It is designed to be, as
much as possible, source compatible with Turbo Pascal 7.0 and Delphi II,
but it also enhances these languages with elements like function overloading.

Authors:
--------
    Michael Van Canneyt <michael@tfdec1.fys.kuleuven.ac.be>
    Marco van de Voort <marcov@stack.nl>

SuSE series: d

%prep
%setup -c -n fpc
tar xvpfz $RPM_SOURCE_DIR/docs.tar.gz
tar xvpfz $RPM_SOURCE_DIR/demo.tar.gz
rpm -Uhv --force --nodeps $RPM_SOURCE_DIR/fpk-1.0.4-0.i386.rpm
%patch1
%patch2

%build
NEWPP=`pwd`/compiler/ppc386
make compiler_cycle
make rtl_clean rtl_all PP=${NEWPP}
make utils_all PP=${NEWPP}
make fcl_all PP=${NEWPP}
make api_all PP=${NEWPP}
#make fv_all PP=${NEWPP}
make packages_all PP=${NEWPP}
#make ide_all PP=${NEWPP}

%install
NEWPP=`pwd`/compiler/ppc386
NEWPPUFILES=`pwd`/utils/ppufiles
INSTALLOPTS="PP=${NEWPP} PPUFILES=${NEWPPUFILES} PREFIXINSTALLDIR=/usr"
make compiler_install ${INSTALLOPTS}
make rtl_install ${INSTALLOPTS}
make utils_install ${INSTALLOPTS}
make fcl_install ${INSTALLOPTS}
make api_install ${INSTALLOPTS}
#make fv_install ${INSTALLOPTS}
make packages_install ${INSTALLOPTS}
#make ide_install ${INSTALLOPTS}
rm -rf %{_defaultdocdir}/fpk
mkdir -p %{_defaultdocdir}/fpk
make demo_install ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
make doc_install ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
make man_install ${INSTALLOPTS}
make compiler_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
#make rtl_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
make utils_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
make fcl_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
make api_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
#make fv_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
make packages_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
#make ide_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{_defaultdocdir}/fpk
rm -rf src/fpc-1.0.4/demo/win32 src/fpc-1.0.4/demo/CVS src/fpc-1.0.4/demo/*/CVS
rm -rf src/fpc-1.0.4/demo/modex 
mkdir -p /usr/lib/fpc/1.0.4/demo
cp -av src/fpc-1.0.4/demo/* /usr/lib/fpc/1.0.4/demo
ln -s ../../../../lib/fpc/1.0.4/demo %{_defaultdocdir}/fpk/demo

%files
%docdir %{_defaultdocdir}/fpk
%{_defaultdocdir}/fpk
/usr/bin/bin2obj
/usr/bin/data2inc
/usr/bin/delp
/usr/bin/fd2pascal
/usr/bin/fpcmake
/usr/bin/fprcp
/usr/bin/h2pas
/usr/bin/plex
/usr/bin/postw32
/usr/bin/ppc386
/usr/bin/ppdep
/usr/bin/ppudump
/usr/bin/ppufiles
/usr/bin/ppumove
/usr/bin/ptop
/usr/bin/pyacc
/usr/bin/rstconv
/usr/lib/fpc/1.0.4
/usr/lib/fpc/lexyacc
/usr/share/man/man1/delp.1.gz
/usr/share/man/man1/fpc.1.gz
/usr/share/man/man1/fpcmake.1.gz
/usr/share/man/man1/h2pas.1.gz
/usr/share/man/man1/plex.1.gz
/usr/share/man/man1/ppc386.1.gz
/usr/share/man/man1/ppdep.1.gz
/usr/share/man/man1/ppudump.1.gz
/usr/share/man/man1/ppufiles.1.gz
/usr/share/man/man1/ppumove.1.gz
/usr/share/man/man1/ptop.1.gz
/usr/share/man/man1/pyacc.1.gz
/usr/share/man/man1/rstconv.1.gz
/usr/share/man/man5/fpcmake.5.gz
/usr/share/man/man5/ppc386.cfg.5.gz
/usr/share/man/man5/ptop.cfg.5.gz
%config /etc/ppc386.cfg

%changelog -n fpk
* Wed Mar 21 2001 - fehr@suse.de
- switched to new version 1.0.4
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Fri Oct 13 2000 - fehr@suse.de
- switched to new version 1.0.2
* Mon Jul 31 2000 - fehr@suse.de
- switched to new version 1.00
* Wed May 31 2000 - fehr@suse.de
- switched to new version 0.99.14
* Mon Feb 07 2000 - fehr@suse.de
- add demo and html doc to package
* Fri Feb 04 2000 - pthomas@suse.de
- adapted rtl code to changed libc interface (schwab@suse.de)
- /usr/man -> /usr/share/man
* Mon Oct 18 1999 - ro@suse.de
- added "--nodeps" to rpm-call
- checked package as x86 only
* Fri Oct 15 1999 - fehr@suse.de
- updated to version 0.99.12b
* Mon Jan 04 1999 - fehr@suse.de
- add newest version of html doc to package
* Wed Dec 23 1998 - fehr@suse.de
- updated to version 0.99.10
* Thu Nov 12 1998 - fehr@suse.de
- switched to version 0.99.8
* Fri Apr 03 1998 - fehr@suse.de
- removed some circular links
* Sun Mar 08 1998 - fehr@suse.de
- added version 0.99.0 to distribution
